Subject: 2nd round of call for contribution to middlebox measurement

From: Michio Honda <[email-masked]>
Date: Fri, 18 Nov 2011 14:42:56 +0800

Hi, 

Thank you for a lot of contributions to the middlebox measurement that I asked you in the autumn last year to run our measurement tool.  
I'd like to report that we measured ~150 paths with your collaboration, and figured out quite interesting middlebox behaviors in the wild. 
The results are published in the last Internet Measurement Conference: http://conferences.sigcomm.org/imc/2011/docs/p181.pdf
We're very happy if this paper is somehow helpful for IETFers to investigate the future Internet.  
This work was also awarded ANRP by IRTF in this meeting, so I'd like to say thank you again for that.    
 
We obviously should continue this work as success of the last measurement.  
Based on feedback from many people and current proposals of new TCP extensions, we added new tests, and improved experiment procedure.  
So, I'd like to ask you again to run our measurement tool anywhere in your networks, such as your home, WiFi hotspots, mobile, coffee shops etc.  
As the tests include new ones, re-testing the network you previously measured is welcome. 
(please check the box in the submission form for such places)

Our tool runs in Mac OSX, Linux and FreeBSD, and experiment will finish approximately in 10-15 min. 
The tool is self-contained; you don't need to install any additional applications.

The procedures are (easier than the last version):
1.Download tool from http://web.sfc.wide.ad.jp/~micchie/middlebox/for_distrib.tar.gz
2.Execute the script
> tar xzf for_distrib.tar.gz
> cd for_distrib
> sudo python run-all.py
3. Post the result (logxxxxxxxxx.tar.gz) from http://web.sfc.wide.ad.jp/~micchie/middlebox/submit.cgi

Then you will see the summarized results for your network (e.g., Unknown TCP option is OK, segments are coalesced, etc)
Please see our official announcement page http://web.sfc.wide.ad.jp/~micchie/middlebox/cfc.html for more details of experiment.  

Best regards,
- Michio